function setCookie(name, value) {
	var end = new Date();
	end.setTime( end.getTime() + 3600 * 1000 );
	var str=name+"="+escape(value)+"; expires="+end.toGMTString()+"; path=/; Secure; SameSite=lax";
	document.cookie = str;
}
function getCookie(name) {
	var debut = document.cookie.indexOf(name);
	if( debut == -1 )	return null;
	var end = document.cookie.indexOf( ";", debut+name.length+1 );
	if( end == -1 ) end = document.cookie.length;
	return unescape( document.cookie.substring( debut+name.length+1, end ) );
}
